List Eval Runs Route
curl --request GET \
--url https://api.trajectory.ai/api/v1/eval/{bench_id}/runs \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.trajectory.ai/api/v1/eval/{bench_id}/runs"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.trajectory.ai/api/v1/eval/{bench_id}/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"eval_run_id": "<string>",
"bench_id": "<string>",
"display_name": "<string>",
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"model_slug": "<string>",
"checkpoint_id": "<string>",
"training_run_id": "<string>",
"step": 123,
"reward_mean": 123,
"completed_at": "2023-11-07T05:31:56Z",
"failure": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"context": {}
}
}
]{
"error": {
"type": "invalid_request_error",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"context": {},
"param": "<string>"
}
}eval
List Eval Runs Route
GET
/
api
/
v1
/
eval
/
{bench_id}
/
runs
List Eval Runs Route
Authorizations
Organization API key
Path Parameters
Response
Successful Response
Unique evaluation run identifier.
Benchmark evaluated by this run.
User-facing name for the evaluation run; null for legacy rows.
Current evaluation lifecycle status; null for legacy rows.
Available options:
pending, registered, running, completed, failed, cancelled Time when the evaluation run was created.
Time when the evaluation run was last updated.
Model evaluated by this run.
Checkpoint evaluated by this run, when applicable.
Training run that produced the evaluated checkpoint.
Evaluated checkpoint training step.
Completed evaluation mean reward.
Time when the evaluation reached a terminal status.
Structured failure when status is failed.
Show child attributes
Show child attributes